Bug 98358 - x3270 segfaults when ~/.x3270connect is unwritable
x3270 segfaults when ~/.x3270connect is unwritable
Product: Red Hat Linux
Classification: Retired
Component: x3270 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2003-07-01 12:12 EDT by Mike McLean
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-09 05:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2003-07-01 12:12:32 EDT
* x3270-x11-3.2.19-4

[mike@test114 mike]$ chmod u-rw .x3270connect
[mike@test114 mike]$ x3270 vmqa.z900.redhat.com
Warning: Actions not found: Begin
Warning: Actions not found: Begin
Segmentation fault

Furthermore, x3270 seems to ignore the value of the $HOME environment variable
and instead reads /etc/passwd to determine where to look for the .x3270connect file.

The "Actions not found: Begin" warning is a separate problem.  It always spits
those messages out.
Comment 1 Karsten Hopp 2003-07-09 05:45:06 EDT
The segfault is fixed in release -4. 
I can't reproduce the 'Action not found' problem. Do you have a ~/.x3270pro file or an 
ibm_hosts file ? 

Note You need to log in before you can comment on or make changes to this bug.